Bug 1301269 - Missing Dependency - libpoppler-glib.so.8
Missing Dependency - libpoppler-glib.so.8
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: poppler-sharp (Show other bugs)
rawhide
All All
unspecified Severity medium
: ---
: ---
Assigned To: Ismael Olea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-23 06:01 EST by Akın Ömeroğlu
Modified: 2017-01-09 07:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-09 07:29:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akın Ömeroğlu 2016-01-23 06:01:10 EST
Description of problem:
Hi,

I am using an updated Fedora 23 KDE spin. When I install pdfmod, GUI is starting but after when I try to open a pdf file it just crash every time.

I start GUI from console and noticed that one dependency - libpoppler-glib.so.8 - is missing. You can find log below

After I install dependency program is working normally.

Version-Release number of selected component (if applicable):

Pdfmod 0.9.1

How reproducible:

Always

Steps to Reproduce:
1. Install and update F23 KDE Spin
2. dnf install pdfmod
3. Open program
4. Open a pdf

Actual results:

Pdf is not loading and program crash

Expected results:

Not a crash and pdf is loading successfully

Additional info:


[akin@akidora ]$ pdfmod 
[1 Debug 12:23:14.249] Starting PdfMod 0.9.1
[1 Debug 12:23:14.264] Initializing i18n catalog from /usr/share/locale/
[1 Debug 12:23:14.296] Cache directory set to /home/akin/.cache/pdfmod
[1 Debug 12:23:21.050] Loaded /path/to/somethingverysecret.pdf
Exception in Gtk# callback delegate
  Note: Applications can use GLib.ExceptionManager.UnhandledException to handle the exception.
System.DllNotFoundException: libpoppler-glib.so.8
Comment 1 Fedora End Of Life 2016-11-24 10:07:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 13:06:05 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Akın Ömeroğlu 2016-12-21 02:26:21 EST
Hello,

I can still repeat this bug and I am reopening this bug again against F25
Comment 4 Ismael Olea 2017-01-09 07:07:21 EST
Thanks for reporting.

This is really a bug in the poppler-sharp package.
Comment 5 Ismael Olea 2017-01-09 07:29:46 EST
Fixed in poppler-sharp-0.0.3-12.fc26.src.rpm

Note You need to log in before you can comment on or make changes to this bug.